Browse code

Now can set up Lucid Puppy Linux 5.2.8 version 004 guests

Apollia authored on01/10/2018 08:44:29
Showing22 changed files
... ...
@@ -1,4 +1,7 @@
1 1
 .hg/
2 2
 .hgignore
3 3
 .hgtimestamp
4
-Minimal Ramize-Physave/
5 4
\ No newline at end of file
5
+Minimal Ramize-Physave/
6
+lupu_devx_528-4.sfs
7
+DevX.iso
8
+VirtualBox_Guest_Setup_Scripts.iso
6 9
\ No newline at end of file
... ...
@@ -1,4 +1,12 @@
1
-# VirtualBox Guest Setup Scripts - Lighthouse 64 Puppy Linux 6.02 Beta 2 as Both Host and Guest
1
+# VirtualBox Guest Setup Scripts
2
+
3
+For Lighthouse 64 Puppy Linux 6.02 Beta 2 (LH64_602_B2) as Both Host and Guest
4
+
5
+or
6
+
7
+LH64_602_B2 as Host and Lucid Puppy 5.2.8 version 004 (Lupu5284) as Guest
8
+
9
+---- 
2 10
 
3 11
 by Apollia - http://apollia.org/
4 12
 
... ...
@@ -6,11 +14,164 @@ Most of these scripts should be run inside the guest system, not the host - exce
6 14
 
7 15
 ----
8 16
 
9
-These scripts make it easier for me to set up VirtualBox guests running Lighthouse 64 Puppy Linux 6.02 Beta 2.  http://lhpup.org/
17
+Last updated Jan. 10, 2018.
18
+	
19
+	* Can now set up Lucid Puppy Linux 5.2.8 version 004 guests.
20
+	
21
+	* Now off by default: seamless mode and dragdrop.
22
+	
23
+	* Some improvements to the Lighthouse 64 setup.
24
+		
25
+----
26
+
27
+These scripts make it easier for me to set up VirtualBox guests running either of my two usual Puppy Linuxes:
28
+
29
+* Lighthouse 64 Puppy Linux 6.02 Beta 2 (LH64_602_B2).  http://lhpup.org/
30
+
31
+* Lucid Puppy Linux 5.2.8 version 004 (Lupu5284).  http://www.murga-linux.com/puppy/viewtopic.php?t=70855
10 32
 
11 33
 So, if my virtual machines or system snapshots ever get messed up again, it won't be as much of a nuisance anymore for me to remake them.
12 34
 
35
+----
36
+
13 37
 <br>
14
-This blog post contains details on how to manually do many of the things these scripts do (more) automatically:
38
+This blog posts contains detail on how to manually do some of the things these scripts do (more) automatically:
15 39
 
16 40
 http://astroblahhh.com/blog/programming/how-i-run-virtualbox-4-3-22-with-lighthouse-64-puppy-linux-as-both-host-and-gues-387.shtml#blogtoc
41
+
42
+----
43
+
44
+Originally, these scripts were designed only for LH64_602_B2 hosts and LH64_602_B2 guests.  But it turned out I scarcely needed to change anything to make them work with Lupu5284 guests as well, so instead of making a separate almost identical repo, I just slightly modified this repo.
45
+
46
+Haven't tested these scripts with any other hosts and guests, though perhaps they might work with other GNU/Linuxes if modified.  Or, with luck, no modifications - which I'm guessing might be most probable if your host or guest is another, similar Puppy Linux.
47
+
48
+<br>
49
+For some things, I actually prefer a Lupu5284 guest over an LH64_602_B2 guest, because LH64_602_B2 has a very annoying tendency to sometimes get jammed up and extremely slow, such as if I just open certain web pages, or scroll down a page with a lot of large images.
50
+
51
+And when it gets jammed like that, it even often takes a long time to even react to Ctrl-Alt-Backspace (the keyboard shortcut which is supposed to instantly break out of X Windows and end a lot of processes).
52
+
53
+That glitch is even worse with virtual LH64_602_B2, since virtual systems run slower than real systems.  And in general in Puppy Linux, that sort of thing seems more likely to happen when running low on RAM - and usually, I don't give my virtual machines as much RAM as I give to my real systems.
54
+
55
+<br><br>
56
+In similar situations, non-virtual Lucid5284 often used to just instantly close my web browser rather than jamming up my entire computer.  (Except in the cases when it sometimes froze up unrecoverably - which usually seemed to happen when I was running low on RAM - and all I could do was reboot.)
57
+
58
+And even non-virtual Lupu5284 feels quicker and more responsive, while LH64_602_B2 sometimes feels a little laggy to me.  But I'm unusually sensitive to such things, and usually LH64_602_B2 is fine, and still tremendously better than any proprietary OS I've ever used, like Windows XP, Vista, 7, 10, and Mac OS X Lion.
59
+
60
+On one of my older desktops, non-virtual LH64_602_B2 did seem faster than Lupu5284 for some things, like some web browsing, except when it got jammed.  But if Lupu5284 could use more than 4 GB of RAM, I might actually switch back to Lupu5284.
61
+
62
+<br><br>
63
+Even my 2008 (giant cheese grater-like)[http://www.souledesigns.com/blog/2013/06/mac-pro-kitchen-nightmare] Mac Pro, with 32 GB of RAM, and eight 2.8 GHz cores, gets jammed up annoyingly often, just by browsing the web in non-virtual LH64_602_B2!  But at least that happens less often and less easily than it does on my less powerful computers.
64
+
65
+I'm not sure it's my web browsers' fault, or something to do with Linux itself.  Or perhaps both.  But at least now I know it's definitely not from not having enough RAM.
66
+
67
+Maybe I should try to find a PAE version - http://puppylinux.org/wikka/PAE - of a 32-bit Puppy Linux which is compatible with Lupu5284, so I can still use my old collections of Lupu5284 software.
68
+
69
+
70
+<br><br>
71
+Another annoying glitch in LH64_602_B2 that I haven't figured out how to permanently fix is, sometimes trying to save things in the web browsers Firefox or Pale Moon cause my web browser to freeze up, and then I have to use Pprocess to end their processes.
72
+
73
+I believe a related glitch is what causes Xarchiver, Gimp, and SpaceFM to sometimes refuse to even open at all.
74
+
75
+Restarting the X server fixes all that temporarily, but eventually, the problems come back, whereupon I have to restart the X server yet again.
76
+
77
+----
78
+
79
+Notes for Lucid Puppy Linux 5.2.8 version 004 (Lupu5284):
80
+
81
+Unlike LH64_602_B2, Lupu5284 apparently can't properly read most optical discs inside a virtual optical disc drive attached to a virtual SATA controller.
82
+
83
+For some reason, I was only able to read my ISO containing this VirtualBox Guest Setup repo.  Even trying to open the official Lucid Puppy 5.2.8 version 004 virtual disc gave me errors - even though that was the very disc my virtual machine had booted from!
84
+
85
+<br>
86
+So, to get around that problem, I changed my virtual machine's Storage settings to make it use a virtual IDE controller.  That means I can only have 4 virtual optical discs mounted in Lupu5284 at the same time - or less if I wanted a virtual hard disk attached to my virtual IDE controller (which I didn't).
87
+
88
+Which is a bit of a nuisance, but not that bad, since it's possible to put Lucid's DevX SFS, kernel headers SFS, and this VirtualBox Guest Setup Scripts repo inside the same virtual disc.
89
+
90
+(But, if you plan on editing the VirtualBox Guest Setup Scripts, it might actually be better to keep them on a separate disk without the other stuff - especially the SFS files - since that will make it easier to unmount the VirtualBox Guest Setup Scripts ISO so you can mount an updated version.)
91
+
92
+You can put them all in the same ISO by putting Lucid's DevX SFS and kernel headers SFS inside the VirtualBox Guest Setup folder before running the script "Make an ISO Containing This Package" inside the "For Host System To Run" folder.
93
+
94
+It might even be possible to add the contents of the official VirtualBox Guest Additions ISO, but I haven't tried that.  But that would make it so you only need 2 virtual discs instead of 3 or 4.
95
+
96
+<br><br>
97
+I'm not sure the Lucid Puppy 5.2.8 version 004 ISO is available anywhere anymore, but the version 005 ISO is.  I haven't used it much, but I'm guessing they're probably compatible, and it looks like it uses the version 528-4 DevX file.
98
+
99
+Both the ISO and the DevX file are available here:
100
+
101
+http://distro.ibiblio.org/puppylinux/puppy-5.2.8/
102
+
103
+
104
+Lucid Puppy 5.2.8 version 004's kernel headers (which you sometimes need in addition to the DevX SFS file to compile some software, such as VirtualBox Guest Additions) are available from:
105
+http://distro.ibiblio.org/puppylinux/pet_packages-lucid/
106
+
107
+Direct link:
108
+http://distro.ibiblio.org/puppylinux/pet_packages-lucid/kernel_src_L4-2.6.33.2-patched.sfs
109
+
110
+
111
+Lucid Puppy 5.2.8 version 004's DevX SFS file of software development tools, and kernel header SFS file, are also available from: https://archive.org/download/Puppy_Linux_Devx
112
+
113
+Direct link to the DevX:
114
+https://archive.org/download/Puppy_Linux_Devx/lupu_devx_528-4.sfs
115
+
116
+Direct link to the kernel headers: https://archive.org/download/Puppy_Linux_Devx/kernel_src_L4-2.6.33.2-patched.sfs
117
+
118
+----
119
+
120
+Here's where you can get the Lighthouse 64 Puppy Linux 6.02 Beta 2 ISO:
121
+
122
+http://lhpup.org/beta/L64-602/
123
+
124
+Direct link:
125
+
126
+http://lhpup.org/beta/L64-602/Lighthouse64-6.02-B2.iso
127
+
128
+<br>
129
+And the DevX SFS file of software development tools (which I believe already contains kernel headers for Lighthouse):
130
+
131
+http://lhpup.org/sfs/602-x86_64/
132
+
133
+Direct link:
134
+
135
+http://lhpup.org/sfs/602-x86_64/Devx-L64_602.sfs
136
+
137
+
138
+
139
+----
140
+
141
+
142
+Pros of Lupu5284 guests:
143
+
144
+* Less chance than Lighthouse 64 of the entire system getting so jammed up that even Ctrl-Alt-Backspace takes a long time to work.
145
+
146
+* Potentially much smaller system snapshots than LH64_602_B2 guests, even when using the same amount of RAM.  One of my first Lupu5284 snapshots was around 256 MB.  (But they do get bigger when you install more stuff.)  Being smaller, they also reload faster.
147
+
148
+* Virtual optical discs and shared folders somehow mount faster.
149
+
150
+
151
+Cons of Lupu5284 guests:
152
+
153
+* Mouse integration doesn't work, so switching between host and guest isn't as smooth, and seamless mode doesn't work as well.
154
+
155
+* After installing official VirtualBox Guest Additions and restarting X server twice, the mouse cursor would disappear, if my setup scripts didn't install a Xorg settings file which fixes that.
156
+
157
+
158
+Cons of dragdrop:
159
+
160
+* For me, dragdrop never works from guest to host.
161
+
162
+* Dragdrop from host to guest seems to work OK with single files, but copying an entire folder caused my virtual machine to freeze up, leaving me with no option but to turn off my virtual machine and go back to the most recent snapshot.  (This is why I made it so dragdrop mode is no longer on by default.)
163
+
164
+<br>
165
+* Wasn't able to dragdrop this into my Lupu5284 virtual machine, perhaps because the path is so long (260 characters):
166
+
167
+/root/VB Shared/safe/Read and Write/ABDesktop VB/VirtualBox-Guest-Setup-Scripts---Lighthouse-64-Puppy-Linux-6.02-Beta-2-as-Both-Host-and-Guest/VirtualBox Guest Setup/Lupu5284/Xorg Screen Settings so mouse cursor does not disappear/Install 800x600 Xorg Settings
168
+
169
+
170
+----
171
+
172
+Troubleshooting Tip
173
+
174
+* My legacy Puppy Linux Setup Kit sometimes overwrites the .xinitrc file.
175
+
176
+So, after you run my legacy Puppy Linux Setup Kit, you'll have to re-run the VirtualBox Guest Setup scripts in the "For .xinitrc" folder, to make it so VirtualBox Guest Additions features will remain on.
177
+
... ...
@@ -2,8 +2,43 @@
2 2
 
3 3
 readonly Script_Title="Mount DevX SFS"
4 4
 
5
+LH64_602_B2_DevX_Mountpoint="/media/DevX"
5 6
 
6
-# 18:25:03 01/08/2018.  For this to work, the DevX ISO must be mounted at /media/DevX,
7
-# and the DevX's filename must be devx_l64.sfs (all lowercase).
8 7
 
9
-sfs_load "/media/DevX/devx_l64.sfs"
10 8
\ No newline at end of file
9
+if [ -d "$LH64_602_B2_DevX_Mountpoint" ]
10
+then
11
+	# 18:25:03 01/08/2018.  For this to work, the DevX ISO must be mounted at /media/DevX,
12
+	# and the DevX's filename must be Devx-L64_602.sfs.
13
+
14
+	sfs_load "/media/DevX/Devx-L64_602.sfs"
15
+	
16
+	exit 0
17
+fi
18
+
19
+
20
+# 20:40:46 01/09/2018.  If this isn't LH64_602_B2, then we search sr1, sr2, and sr3
21
+# for DevX .sfs files, until we finally find it.
22
+
23
+Fillepath____DevX=""
24
+Temp_Fillepath____DevX_Location="/tmp/DevX_Location.txt"
25
+
26
+
27
+discdrive_num=0
28
+
29
+while [ "$discdrive_num" -lt 4 ]
30
+do
31
+	let "discdrive_num++"
32
+	
33
+	search_results=$(find /mnt/sr$discdrive_num -type f -iname *devx*.sfs | head -n 1)
34
+	
35
+	if [ ! -z "$search_results" ]
36
+	then
37
+		Fillepath____DevX="$search_results"
38
+	fi
39
+done
40
+
41
+
42
+echo "$Fillepath____DevX" > "$Temp_Fillepath____DevX_Location"
43
+
44
+
45
+sfs_load "$Fillepath____DevX"
11 46
new file mode 100755
... ...
@@ -0,0 +1,27 @@
1
+#!/bin/bash
2
+
3
+readonly Script_Title="Mount Lupu5284 Kernel Headers SFS"
4
+
5
+Fillepath____Kernel_Headers=""
6
+Temp_Fillepath____Kernel_Headers_Location="/tmp/Kernel_Headers_SFS_Location.txt"
7
+
8
+
9
+discdrive_num=0
10
+
11
+while [ "$discdrive_num" -lt 4 ]
12
+do
13
+	let "discdrive_num++"
14
+	
15
+	search_results=$(find /mnt/sr$discdrive_num -type f -iname *kernel_src_L4-2.6.33.2-patched.sfs | head -n 1)
16
+	
17
+	if [ ! -z "$search_results" ]
18
+	then
19
+		Fillepath____Kernel_Headers="$search_results"
20
+	fi
21
+done
22
+
23
+
24
+echo "$Fillepath____Kernel_Headers" > "$Temp_Fillepath____Kernel_Headers_Location"
25
+
26
+
27
+sfs_load "$Fillepath____Kernel_Headers"
... ...
@@ -2,10 +2,28 @@
2 2
 
3 3
 readonly Script_Title="Unmount DevX SFS"
4 4
 
5
+LH64_602_B2_DevX_Mountpoint="/media/DevX"
5 6
 
6
-sfs_load "/media/DevX/devx_l64.sfs"
7 7
 
8
-# 18:50:58 01/08/2018.  The user must click the "SFS-Load" button in the window that pops up.
9
-#
10
-# Then, if the DevX is currently already mounted, sfs_load will ask the user whether
11
-# it should be unmounted.
12 8
\ No newline at end of file
9
+if [ -d "$LH64_602_B2_DevX_Mountpoint" ]
10
+then
11
+
12
+	sfs_load "/media/DevX/Devx-L64_602.sfs"
13
+	
14
+	# 18:50:58 01/08/2018.  The user must click the "SFS-Load" button in the window that pops up.
15
+	#
16
+	# Then, if the DevX is currently already mounted, sfs_load will ask the user whether
17
+	# it should be unmounted.
18
+	
19
+	exit 0
20
+fi
21
+
22
+
23
+# 21:59:48 01/09/2018.  If this isn't LH64_602_B2, then, hopefully the
24
+# Mount DevX SFS script created a temp text file containing the location of the DevX.
25
+
26
+Temp_Fillepath____DevX_Location="/tmp/DevX_Location.txt"
27
+
28
+devx_location=$(cat "$Temp_Fillepath____DevX_Location")
29
+
30
+sfs_load "$devx_location"
13 31
new file mode 100755
... ...
@@ -0,0 +1,13 @@
1
+#!/bin/bash
2
+
3
+readonly Script_Title="Unmount Lupu5284 Kernal Headers SFS"
4
+
5
+
6
+# 21:59:48 01/09/2018.  Hopefully the Mount Lupu5284 Kernel Headers SFS scrip
7
+# created a temp text file containing the location of the SFS.
8
+
9
+Temp_Fillepath="/tmp/Kernel_Headers_SFS_Location.txt"
10
+
11
+sfs_location=$(cat "$Temp_Fillepath")
12
+
13
+sfs_load "$sfs_location"
... ...
@@ -18,11 +18,14 @@ if [ $answer -eq 102 ] ; then
18 18
 	exit 0
19 19
 fi
20 20
 	
21
-	
21
+
22 22
 	
23 23
 readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
24 24
 readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
25 25
 
26
+
27
+readonly DISTRO_NAME_AND_VERSION=$(source /etc/DISTRO_SPECS && echo "$DISTRO_NAME $DISTRO_VERSION")
28
+
26 29
 #-----
27 30
 
28 31
 Follpath____Install_This_Package="$Follpath____This_Script/Install This Package"
... ...
@@ -41,20 +44,28 @@ bash "Mount Virtual Optical Discs 1 thru 3"
41 44
 
42 45
 #-----
43 46
 
44
-xmessage -bg pink -center -buttons OK "Instructions for Mounting the DevX SFS with SFS-Load
47
+Instructions_for_Mounting_SFS()
48
+{
49
+	this_sfs="$1"
50
+	
51
+	xmessage -bg pink -center -buttons OK "Instructions for Mounting the $this_sfs SFS with SFS-Load
45 52
 
46 53
 (Keep this popup window open so you can read it while you're running SFS-Load!)
47 54
 
48 55
 
49 56
 1. Click the SFS-Load button.
50 57
 
51
-2. In SFS-Load window which asks you where to save - select NOCOPY from the dropdown box,
52
-and click OK.
58
+2. In SFS-Load window which asks you where to save - select NOCOPY
59
+from the dropdown box, and click OK.
53 60
 
54 61
 3. When SFS-Load asks if you want to add a new mount point, click OK.
55 62
 
56
-4. After the SFS is loaded, when SFS-Load asks if you want to run the application right now,
57
-click the Quit button." &
63
+4. After the SFS is loaded, when SFS-Load asks if you want to run the
64
+application right now, click the Quit button." &
65
+
66
+}
67
+
68
+Instructions_for_Mounting_SFS "DevX"
58 69
 
59 70
 
60 71
 Follpath____DevX="$Follpath____This_Script/DevX"
... ...
@@ -63,6 +74,16 @@ cd "$Follpath____DevX"
63 74
 
64 75
 bash "Mount DevX SFS"
65 76
 
77
+#-----
78
+
79
+if [ "$DISTRO_NAME_AND_VERSION" = "Lucid  528" ]
80
+then
81
+	Instructions_for_Mounting_SFS "Kernel Headers"
82
+	
83
+	bash "Mount Lupu5284 Kernel Headers SFS"
84
+fi
85
+
86
+
66 87
 #-----
67 88
 
68 89
 Follpath____Install_Official_VirtualBox_Guest_Additions="$Follpath____This_Script/Install Official VirtualBox Guest Additions"
... ...
@@ -92,13 +113,49 @@ bash "Mount All Shared Folders"
92 113
 
93 114
 #-----
94 115
 
95
-Follpath____Screensaver="$Follpath____This_Script/Screensaver"
116
+if [ "$DISTRO_NAME_AND_VERSION" = "Lucid  528" ]
117
+then
118
+	Follpath____Lupu5284="$Follpath____This_Script/Lupu5284"
119
+	Follpath____Pinboard="$Follpath____Lupu5284/Pinboard"
120
+	
121
+	cd "$Follpath____Pinboard"
122
+	
123
+	bash "Install Rox Pinboard with Usual Shared Folders"
124
+	
125
+	
126
+	xset s off -dpms
127
+		# 02:40:57 01/10/2018.  Stops the screen from blacking out.
128
+		
129
+	
130
+	Follpath____Xorg="$Follpath____Lupu5284/Xorg Screen Settings so mouse cursor does not disappear"
131
+	
132
+	cd "$Follpath____Xorg"
133
+	
134
+	bash "Install 1024x768 Xorg Settings"
135
+	#bash "Install 800x600 Xorg Settings"
136
+fi
137
+
96 138
 
97
-cd "$Follpath____Screensaver"
98 139
 
99
-bash "Stop Screensaver from Starting at Login/Stop Screensaver from Starting at Login"
100
-bash "Turn Off Screensaver"
140
+if [ "$DISTRO_NAME_AND_VERSION" = "Lighthouse64 602" ]
141
+then
101 142
 
143
+	Follpath____LH64_602_B2="$Follpath____This_Script/LH64_602_B2"
144
+	Follpath____Pinboard="$Follpath____LH64_602_B2/Pinboard"
145
+	
146
+	cd "$Follpath____Pinboard"
147
+	
148
+	bash "Install Rox Pinboard with Usual Shared Folders"
149
+
150
+
151
+	Follpath____Screensaver="$Follpath____LH64_602_B2/Screensaver"
152
+
153
+	cd "$Follpath____Screensaver"
154
+
155
+	bash "Stop Screensaver from Starting at Login/Stop Screensaver from Starting at Login"
156
+	bash "Turn Off Screensaver"
157
+
158
+fi
102 159
 
103 160
 message='VirtualBox Guest Setup done!'
104 161
 
... ...
@@ -11,5 +11,5 @@ cd "$Follpath____Enable_Guest_Additions_Features"
11 11
 
12 12
 
13 13
 bash "Enable Copy and Paste"
14
-bash "Enable Drag and Drop"
15
-bash "Enable Seamless"
14
+#bash "Enable Drag and Drop"
15
+#bash "Enable Seamless"
... ...
@@ -32,7 +32,7 @@ readonly Follpath____DevX=$(readlink -m "$1")
32 32
 
33 33
 readonly Disc_Name="DevX"
34 34
 
35
-readonly Filename____ISO="DevX-LH64_602_B2.iso"
35
+readonly Filename____ISO="DevX.iso"
36 36
 
37 37
 readonly Fillepath____Output_ISO="$Follpath____Package_Parentdir/$Filename____ISO"
38 38
 
... ...
@@ -41,7 +41,8 @@ readonly Fillepath____Output_ISO="$Follpath____Package_Parentdir/$Filename____IS
41 41
 cd "$Follpath____Package_Parentdir"
42 42
 
43 43
 
44
-mkisofs -volid "$Disc_Name" -output "$Fillepath____Output_ISO" "$Follpath____DevX" 
44
+mkisofs -joliet-long -rrip112 -rational-rock -volid "$Disc_Name" -output "$Fillepath____Output_ISO" "$Follpath____DevX" 
45
+#mkisofs -volid "$Disc_Name" -output "$Fillepath____Output_ISO" "$Follpath____DevX" 
45 46
 
46 47
 
47 48
 rox "$Follpath____Package_Parentdir"
48 49
\ No newline at end of file
... ...
@@ -11,9 +11,9 @@ readonly Filename____Package_Folder=$(basename "$Follpath____Package_Top_Level")
11 11
 readonly Follpath____Package_Parentdir=$(readlink -m "$Follpath____Package_Top_Level/..")
12 12
 
13 13
 
14
-readonly Disc_Name="VBox_Setup_for_Guest_LH64_602_B2"
14
+readonly Disc_Name="VBox_Setup_for_Guest"
15 15
 
16
-readonly Filename____ISO="VirtualBox_Guest_Setup_for_Lighthouse_64_Puppy_Linux_6.02_Beta_2.iso"
16
+readonly Filename____ISO="VirtualBox_Guest_Setup_Scripts.iso"
17 17
 
18 18
 
19 19
 cd "$Follpath____Package_Parentdir"
... ...
@@ -2,6 +2,36 @@
2 2
 
3 3
 readonly Script_Title="Install Official VirtualBox Guest Additions"
4 4
 
5
-cd "/media/VBOXADDITIONS_4.3.22_98236/"
6 5
 
7
-./VBoxLinuxAdditions.run
8 6
\ No newline at end of file
7
+LH64_602_B2_Guest_Additions_Mountpoint="/media/VBOXADDITIONS_4.3.22_98236/"
8
+
9
+if [ -d "$LH64_602_B2_Guest_Additions_Mountpoint" ]
10
+then
11
+	cd "$LH64_602_B2_Guest_Additions_Mountpoint"
12
+	
13
+	./VBoxLinuxAdditions.run
14
+	result_code="$?"
15
+	exit "$result_code"
16
+fi
17
+
18
+# 22:07:45 01/09/2018.  If this isn't LH64_602_B2, then we search sr1, sr2, and sr3
19
+# for the VBoxLinuxAdditions.run file, until we finally find it.
20
+
21
+Fillepath____Guest_Additions=""
22
+
23
+
24
+discdrive_num=0
25
+
26
+while [ "$discdrive_num" -lt 4 ]
27
+do
28
+	let "discdrive_num++"
29
+	
30
+	search_results=$(find /mnt/sr$discdrive_num -type f -iname *VBoxLinuxAdditions.run | head -n 1)
31
+	
32
+	if [ ! -z "$search_results" ]
33
+	then
34
+		Fillepath____Guest_Additions="$search_results"
35
+	fi
36
+done
37
+
38
+bash "$Fillepath____Guest_Additions"
9 39
\ No newline at end of file
10 40
new file mode 100755
... ...
@@ -0,0 +1,9 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+dest="/root/Choices/ROX-Filer/PuppyPin"
7
+file="$Follpath____This_Script/PuppyPin"
8
+
9
+cp --backup=numbered "$file" "$dest"
0 10
\ No newline at end of file
1 11
new file mode 100644
... ...
@@ -0,0 +1,35 @@
1
+<?xml version="1.0"?>
2
+<pinboard>
3
+  <backdrop style="Fit">/usr/share/backgrounds/Mountains_16:9.jpg</backdrop>
4
+  <icon x="288" y="624" label="VBox_Setup_" args="optical iso9660">/root/.pup_event/drive_sr3</icon>
5
+  <icon x="208" y="624" label="VBOXADDITIO" args="optical iso9660">/root/.pup_event/drive_sr2</icon>
6
+  <icon x="128" y="624" label="DevX" args="optical iso9660">/root/.pup_event/drive_sr1</icon>
7
+  <icon x="48" y="624" label="LH64-602" args="optical iso9660">/root/.pup_event/drive_sr0</icon>
8
+  <icon x="560" y="32" label="root">/root</icon>
9
+  <icon x="960" y="128" label="Steppe">/readonly/Steppe</icon>
10
+  <icon x="848" y="128" label="Legacy_Meadow">/readonly/Legacy_Meadow</icon>
11
+  <icon x="688" y="128" label="Arthoriel_Adurn">/readonly/Arthoriel_Adurn</icon>
12
+  <icon x="960" y="48" label="APSK_VB">/apmnt/APSK_VB</icon>
13
+  <icon x="848" y="48" label="APSK_Physave">/apmnt/APSK_Physave</icon>
14
+  <icon x="720" y="48" label="ABDesktop_VB">/apmnt/ABDesktop_VB</icon>
15
+  <icon x="96" y="128" label="Kino">/usr/share/applications/Kino.desktop</icon>
16
+  <icon x="96" y="208" label="Email">/usr/share/applications/DefaultEmail.desktop</icon>
17
+  <icon x="96" y="304" label="Play">/usr/local/bin/defaultmediaplayer</icon>
18
+  <icon x="96" y="32" label="Write">/usr/local/bin/defaultwordprocessor</icon>
19
+  <icon x="976" y="464" label="ScreenSaver">/usr/local/apps/XScreenSaver</icon>
20
+  <icon x="976" y="544" label="Trash">/usr/local/trash/Trash</icon>
21
+  <icon x="176" y="128" label="Paint">/usr/local/bin/defaultpaint</icon>
22
+  <icon x="176" y="208" label="Chat">/usr/local/bin/defaultchat</icon>
23
+  <icon x="176" y="32" label="Gnumeric">/usr/local/bin/defaultspreadsheet</icon>
24
+  <icon x="32" y="384" label="Install">/usr/local/petget/pkg_chooser.sh</icon>
25
+  <icon x="240" y="128" label="Setup">/usr/share/applications/PupControl.desktop</icon>
26
+  <icon x="240" y="32" label="Edit">/usr/local/bin/defaulttexteditor</icon>
27
+  <icon x="304" y="32" label="Update">/usr/share/applications/Lighthouse-update.desktop</icon>
28
+  <icon x="32" y="128" label="Console">/usr/share/applications/Console-LHP.desktop</icon>
29
+  <icon x="32" y="208" label="Browse">/usr/share/applications/DefaultBrowser.desktop</icon>
30
+  <icon x="32" y="304" label="Plan">/usr/local/bin/defaultcalendar</icon>
31
+  <icon x="32" y="32" label="File">/usr/local/bin/defaultfilemanager</icon>
32
+  <icon x="32" y="464" label="Connect">/usr/local/apps/Connect</icon>
33
+  <icon x="384" y="32" label="Downloads">/usr/sbin/Downloads</icon>
34
+  <icon x="464" y="32" label="Drives">/usr/share/applications/DrivesManager.desktop</icon>
35
+</pinboard>
0 36
similarity index 100%
1 37
rename from VirtualBox Guest Setup/Screensaver/Stop Screensaver from Starting at Login/Stop Screensaver from Starting at Login
2 38
rename to VirtualBox Guest Setup/LH64_602_B2/Screensaver/Stop Screensaver from Starting at Login/Stop Screensaver from Starting at Login
3 39
similarity index 100%
4 40
rename from VirtualBox Guest Setup/Screensaver/Turn Off Screensaver
5 41
rename to VirtualBox Guest Setup/LH64_602_B2/Screensaver/Turn Off Screensaver
6 42
similarity index 100%
7 43
rename from VirtualBox Guest Setup/Screensaver/xscreensaver Config/.xscreensaver
8 44
rename to VirtualBox Guest Setup/LH64_602_B2/Screensaver/xscreensaver Config/.xscreensaver
9 45
new file mode 100755
... ...
@@ -0,0 +1,9 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+dest="/root/Choices/ROX-Filer/PuppyPin"
7
+file="$Follpath____This_Script/PuppyPin"
8
+
9
+cp --backup=numbered "$file" "$dest"
0 10
\ No newline at end of file
1 11
new file mode 100644
... ...
@@ -0,0 +1,34 @@
1
+<?xml version="1.0"?>
2
+<pinboard>
3
+  <backdrop style="Stretched">/usr/share/backgrounds/default.jpg</backdrop>
4
+  <icon x="224" y="704" label="sr3" args="optical iso9660">/root/.pup_event/drive_sr3</icon>
5
+  <icon x="160" y="704" label="sr2" args="optical iso9660">/root/.pup_event/drive_sr2</icon>
6
+  <icon x="96" y="704" label="sr1" args="optical iso9660">/root/.pup_event/drive_sr1</icon>
7
+  <icon x="32" y="704" label="sr0" args="optical iso9660">/root/.pup_event/drive_sr0</icon>
8
+  <icon x="784" y="48" label="APSK_VB">/apmnt/APSK_VB</icon>
9
+  <icon x="688" y="48" label="APSK_Physave">/apmnt/APSK_Physave</icon>
10
+  <icon x="576" y="48" label="ABDesktop_VB">/apmnt/ABDesktop_VB</icon>
11
+  <icon x="992" y="32" label="lock">/usr/local/apps/Xlock</icon>
12
+  <icon x="992" y="224" label="trash">/usr/local/apps/Trash</icon>
13
+  <icon x="992" y="128" label="zip">/usr/local/apps/PupZip</icon>
14
+  <icon x="96" y="416" label="quickpet">/usr/sbin/quickpet</icon>
15
+  <icon x="96" y="32" label="help">/usr/sbin/puppyhelp</icon>
16
+  <icon x="96" y="320" label="play">/usr/local/bin/defaultmediaplayer</icon>
17
+  <icon x="96" y="224" label="email">/usr/local/bin/defaultemail</icon>
18
+  <icon x="96" y="128" label="calc">/usr/local/bin/defaultspreadsheet</icon>
19
+  <icon x="432" y="48" label="console">/usr/local/bin/defaultterminal</icon>
20
+  <icon x="352" y="32" label="edit">/usr/local/bin/defaulttexteditor</icon>
21
+  <icon x="32" y="416" label="connect">/usr/local/apps/Connect</icon>
22
+  <icon x="32" y="320" label="plan">/usr/local/bin/defaultcalendar</icon>
23
+  <icon x="32" y="32" label="file">/usr/local/bin/rox</icon>
24
+  <icon x="32" y="128" label="write">/usr/local/bin/defaultwordprocessor</icon>
25
+  <icon x="32" y="224" label="browse">/usr/local/bin/defaultbrowser</icon>
26
+  <icon x="288" y="32" label="control">/usr/sbin/wizardwizard</icon>
27
+  <icon x="224" y="32" label="install">/usr/sbin/dotpup</icon>
28
+  <icon x="224" y="128" label="draw">/usr/local/bin/defaultdraw</icon>
29
+  <icon x="160" y="32" label="mount">/usr/sbin/pmount</icon>
30
+  <icon x="160" y="128" label="paint">/usr/local/bin/defaultpaint</icon>
31
+  <icon x="544" y="144" label="Arthoriel_Adurn">/readonly/Arthoriel_Adurn</icon>
32
+  <icon x="672" y="144" label="Legacy_Meadow">/readonly/Legacy_Meadow</icon>
33
+  <icon x="784" y="144" label="Steppe">/readonly/Steppe</icon>
34
+</pinboard>
0 35
new file mode 100644
... ...
@@ -0,0 +1,156 @@
1
+#Special base config file used in Puppy Linux.
2
+
3
+# **********************************************************************
4
+# Module section -- this  section  is used to specify
5
+# which dynamically loadable modules to load.
6
+# **********************************************************************
7
+#
8
+Section "Module"
9
+
10
+# This loads the DBE extension module.
11
+
12
+    Load        "dbe"  	# Double buffer extension
13
+
14
+# This loads the miscellaneous extensions module, and disables
15
+# initialisation of the XFree86-DGA extension within that module.
16
+    SubSection  "extmod"
17
+      Option    "omit xfree86-dga"   # don't initialise the DGA extension
18
+    EndSubSection
19
+
20
+# This loads the font modules
21
+#    Load        "type1"
22
+#    Load        "freetype"
23
+
24
+# This loads xtrap extension, used by xrandr
25
+#   Load       "xtrap"
26
+
27
+# This loads the GLX module (if present). xorg 7.4/5 need explicit disable to disable...
28
+    Load    "glx" #LOADGLX
29
+
30
+# This loads dri module (if present). 7.4 loads it by default, have to disable...
31
+   Load       "dri" #LOADDRI
32
+#    Disable "dri"
33
+
34
+EndSection
35
+
36
+# **********************************************************************
37
+# Files section.  This allows default font paths to be set
38
+# **********************************************************************
39
+
40
+Section "Files"
41
+
42
+# Multiple FontPath entries are allowed (which are concatenated together),
43
+# as well as specifying multiple comma-separated entries in one FontPath
44
+# command (or a combination of both methods)
45
+
46
+    FontPath   "/usr/share/X11/fonts/misc/"
47
+    FontPath   "/usr/share/X11/fonts/Type1/"
48
+    FontPath   "/usr/share/X11/fonts/TTF/"
49
+
50
+EndSection
51
+
52
+# **********************************************************************
53
+# Server flags section.
54
+# **********************************************************************
55
+
56
+Section "ServerFlags"
57
+
58
+# Uncomment this to disable the <Crtl><Alt><Fn> VT switch sequence
59
+# (where n is 1 through 12).  This allows clients to receive these key
60
+# events.
61
+
62
+#    Option "DontVTSwitch"
63
+
64
+# Enables mode switching with xrandr
65
+# There is a report that this can cause Xorg not to work on some
66
+# video hardware, so default is commented-out...
67
+# but i want to use it in xorgwizard so leave on...
68
+
69
+    Option "RandR" "on"
70
+
71
+# With this, Xorg won't talk to HAL to add evdev devices and you'll be back
72
+# with the old Xorg behavior (pre-7.4)...
73
+
74
+    Option "AutoAddDevices" "false"
75
+
76
+# For no-Hal, kirk also suggests this...
77
+
78
+#    Option "AllowMouseOpenFail" "true"
79
+
80
+# Xorg 7.4, Ubuntu Jaunty, CTRL-ALT-BACKSPACE is disabled by default...
81
+
82
+    Option "DontZap" "false"
83
+
84
+EndSection
85
+
86
+#everything past here is auto-generated by Puppy's Xorg Wizard...
87
+
88
+
89
+Section "ServerLayout"
90
+	Identifier     "X.org Configured"
91
+	Screen      0  "Screen0" 0 0
92
+	InputDevice    "Mouse0" "CorePointer"
93
+	InputDevice    "Keyboard0" "CoreKeyboard"
94
+EndSection
95
+
96
+Section "InputDevice"
97
+	Identifier  "Keyboard0"
98
+	Driver      "kbd"
99
+	Option      "XkbRules" "xorg"
100
+	Option      "XkbModel" "pc102"
101
+	Option      "XkbLayout" "us" #xkeymap0
102
+EndSection
103
+
104
+Section "InputDevice"
105
+	Identifier  "Mouse0"
106
+	Driver      "mouse"
107
+	Option	    "Protocol" "IMPS/2" #mouse0protocol
108
+	Option	    "Device" "/dev/mouse"
109
+	#Option      "Emulate3Buttons"
110
+	#Option      "Emulate3Timeout" "50"
111
+	Option      "ZAxisMapping" "4 5" #scrollwheel
112
+EndSection
113
+
114
+Section "Monitor"
115
+	Identifier   "Monitor0"
116
+	VendorName   "Monitor Vendor"
117
+	ModelName    "Monitor Model"
118
+	HorizSync    31.5-48.5
119
+	VertRefresh  40-70
120
+	#UseModes     "Modes0" #monitor0usemodes
121
+	Option      "PreferredMode" "1024x768"
122
+	EndSection
123
+	
124
+Section "Modes"
125
+	Identifier "Modes0"
126
+	#modes0modeline0
127
+EndSection
128
+
129
+Section "Device"
130
+	### Available Driver options are:-
131
+	### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
132
+	### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
133
+	### [arg]: arg optional
134
+	#Option     "ShadowFB"           	# [<bool>]
135
+	#Option     "DefaultRefresh"     	# [<bool>]
136
+	#Option     "ModeSetClearScreen" 	# [<bool>]
137
+	Identifier  "Card0"
138
+	Driver      "vesa" #card0driver
139
+	VendorName  "InnoTek Systemberatung GmbH"
140
+	BoardName   "VirtualBox Graphics Adapter"
141
+	BusID       "PCI:0:2:0"
142
+EndSection
143
+
144
+Section "Screen"
145
+	Identifier "Screen0"
146
+	Device     "Card0"
147
+	Monitor    "Monitor0"
148
+	DefaultDepth 24
149
+	#Option         "metamodes" "1024x768_60 +0+0" #METAMODES_0
150
+	Subsection "Display"
151
+		Depth       24
152
+		Modes       "1024x768"
153
+	EndSubsection
154
+EndSection
155
+
156
+#PuppyHardwareProfile=VirtualBox_VESA_BIOS
0 157
new file mode 100644
... ...
@@ -0,0 +1,156 @@
1
+#Special base config file used in Puppy Linux.
2
+
3
+# **********************************************************************
4
+# Module section -- this  section  is used to specify
5
+# which dynamically loadable modules to load.
6
+# **********************************************************************
7
+#
8
+Section "Module"
9
+
10
+# This loads the DBE extension module.
11
+
12
+    Load        "dbe"  	# Double buffer extension
13
+
14
+# This loads the miscellaneous extensions module, and disables
15
+# initialisation of the XFree86-DGA extension within that module.
16
+    SubSection  "extmod"
17
+      Option    "omit xfree86-dga"   # don't initialise the DGA extension
18
+    EndSubSection
19
+
20
+# This loads the font modules
21
+#    Load        "type1"
22
+#    Load        "freetype"
23
+
24
+# This loads xtrap extension, used by xrandr
25
+#   Load       "xtrap"
26
+
27
+# This loads the GLX module (if present). xorg 7.4/5 need explicit disable to disable...
28
+    Load    "glx" #LOADGLX
29
+
30
+# This loads dri module (if present). 7.4 loads it by default, have to disable...
31
+   Load       "dri" #LOADDRI
32
+#    Disable "dri"
33
+
34
+EndSection
35
+
36
+# **********************************************************************
37
+# Files section.  This allows default font paths to be set
38
+# **********************************************************************
39
+
40
+Section "Files"
41
+
42
+# Multiple FontPath entries are allowed (which are concatenated together),
43
+# as well as specifying multiple comma-separated entries in one FontPath
44
+# command (or a combination of both methods)
45
+
46
+    FontPath   "/usr/share/X11/fonts/misc/"
47
+    FontPath   "/usr/share/X11/fonts/Type1/"
48
+    FontPath   "/usr/share/X11/fonts/TTF/"
49
+
50
+EndSection
51
+
52
+# **********************************************************************
53
+# Server flags section.
54
+# **********************************************************************
55
+
56
+Section "ServerFlags"
57
+
58
+# Uncomment this to disable the <Crtl><Alt><Fn> VT switch sequence
59
+# (where n is 1 through 12).  This allows clients to receive these key
60
+# events.
61
+
62
+#    Option "DontVTSwitch"
63
+
64
+# Enables mode switching with xrandr
65
+# There is a report that this can cause Xorg not to work on some
66
+# video hardware, so default is commented-out...
67
+# but i want to use it in xorgwizard so leave on...
68
+
69
+    Option "RandR" "on"
70
+
71
+# With this, Xorg won't talk to HAL to add evdev devices and you'll be back
72
+# with the old Xorg behavior (pre-7.4)...
73
+
74
+    Option "AutoAddDevices" "false"
75
+
76
+# For no-Hal, kirk also suggests this...
77
+
78
+#    Option "AllowMouseOpenFail" "true"
79
+
80
+# Xorg 7.4, Ubuntu Jaunty, CTRL-ALT-BACKSPACE is disabled by default...
81
+
82
+    Option "DontZap" "false"
83
+
84
+EndSection
85
+
86
+#everything past here is auto-generated by Puppy's Xorg Wizard...
87
+
88
+
89
+Section "ServerLayout"
90
+	Identifier     "X.org Configured"
91
+	Screen      0  "Screen0" 0 0
92
+	InputDevice    "Mouse0" "CorePointer"
93
+	InputDevice    "Keyboard0" "CoreKeyboard"
94
+EndSection
95
+
96
+Section "InputDevice"
97
+	Identifier  "Keyboard0"
98
+	Driver      "kbd"
99
+	Option      "XkbRules" "xorg"
100
+	Option      "XkbModel" "pc102"
101
+	Option      "XkbLayout" "us" #xkeymap0
102
+EndSection
103
+
104
+Section "InputDevice"
105
+	Identifier  "Mouse0"
106
+	Driver      "mouse"
107
+	Option	    "Protocol" "IMPS/2" #mouse0protocol
108
+	Option	    "Device" "/dev/mouse"
109
+	#Option      "Emulate3Buttons"
110
+	#Option      "Emulate3Timeout" "50"
111
+	Option      "ZAxisMapping" "4 5" #scrollwheel
112
+EndSection
113
+
114
+Section "Monitor"
115
+	Identifier   "Monitor0"
116
+	VendorName   "Monitor Vendor"
117
+	ModelName    "Monitor Model"
118
+	HorizSync    31.5-37
119
+	VertRefresh  40-70
120
+	#UseModes     "Modes0" #monitor0usemodes
121
+	Option      "PreferredMode" "800x600"
122
+	EndSection
123
+	
124
+Section "Modes"
125
+	Identifier "Modes0"
126
+	#modes0modeline0
127
+EndSection
128
+
129
+Section "Device"
130
+	### Available Driver options are:-
131
+	### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
132
+	### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
133
+	### [arg]: arg optional
134
+	#Option     "ShadowFB"           	# [<bool>]
135
+	#Option     "DefaultRefresh"     	# [<bool>]
136
+	#Option     "ModeSetClearScreen" 	# [<bool>]
137
+	Identifier  "Card0"
138
+	Driver      "vesa" #card0driver
139
+	VendorName  "InnoTek Systemberatung GmbH"
140
+	BoardName   "VirtualBox Graphics Adapter"
141
+	BusID       "PCI:0:2:0"
142
+EndSection
143
+
144
+Section "Screen"
145
+	Identifier "Screen0"
146
+	Device     "Card0"
147
+	Monitor    "Monitor0"
148
+	DefaultDepth 24
149
+	#Option         "metamodes" "800x600_60 +0+0" #METAMODES_0
150
+	Subsection "Display"
151
+		Depth       24
152
+		Modes       "800x600"
153
+	EndSubsection
154
+EndSection
155
+
156
+#PuppyHardwareProfile=VirtualBox_VESA_BIOS
0 157
new file mode 100755
... ...
@@ -0,0 +1,9 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+dest="/etc/X11/xorg.conf"
7
+file="$Follpath____This_Script/1024x768/xorg.conf"
8
+
9
+cp --backup=numbered "$file" "$dest"
0 10
\ No newline at end of file
1 11
new file mode 100755
... ...
@@ -0,0 +1,9 @@
1
+#!/bin/bash
2
+
3
+readonly Fillepath____This_Script=$(realpath "${BASH_SOURCE[0]}")
4
+readonly Follpath____This_Script=$(dirname "$Fillepath____This_Script" )
5
+
6
+dest="/etc/X11/xorg.conf"
7
+file="$Follpath____This_Script/800x600/xorg.conf"
8
+
9
+cp --backup=numbered "$file" "$dest"
0 10
\ No newline at end of file